# Uses of Class
org.opensaml.xmlsec.keyinfo.NamedKeyInfoGeneratorManager

Packages that use NamedKeyInfoGeneratorManager
Package
Description
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.

## Uses of NamedKeyInfoGeneratorManager in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return NamedKeyInfoGeneratorManager
Modifier and Type
Method
Description
`NamedKeyInfoGeneratorManager`
EncryptionConfiguration.`getDataKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedData/KeyInfo.
`NamedKeyInfoGeneratorManager`
SignatureSigningConfiguration.`getKeyInfoGeneratorManager()`
Get the manager for named KeyInfoGenerator instances.
`NamedKeyInfoGeneratorManager`
EncryptionConfiguration.`getKeyTransportKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedKey/KeyInfo.

## Uses of NamedKeyInfoGeneratorManager in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return NamedKeyInfoGeneratorManager
Modifier and Type
Method
Description
`static NamedKeyInfoGeneratorManager`
DefaultSecurityConfigurationBootstrap.`buildBasicKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager`.
`protected static NamedKeyInfoGeneratorManager`
DefaultSecurityConfigurationBootstrap.`buildDataEncryptionKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedData`.
`protected static NamedKeyInfoGeneratorManager`
DefaultSecurityConfigurationBootstrap.`buildKeyTransportEncryptionKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedKey`.
`protected static NamedKeyInfoGeneratorManager`
DefaultSecurityConfigurationBootstrap.`buildSignatureKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `Signature`.

## Uses of NamedKeyInfoGeneratorManager in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as NamedKeyInfoGeneratorManager
Modifier and Type
Field
Description
`private NamedKeyInfoGeneratorManager`
BasicEncryptionConfiguration.`dataKeyInfoGeneratorManager`
Manager for named KeyInfoGenerator instances for encrypting data.
`private NamedKeyInfoGeneratorManager`
BasicSignatureSigningConfiguration.`keyInfoGeneratorManager`
Manager for named KeyInfoGenerator instances.
`private NamedKeyInfoGeneratorManager`
BasicEncryptionConfiguration.`keyTransportKeyInfoGeneratorManager`
Manager for named KeyInfoGenerator instances for encrypting keys.
Methods in org.opensaml.xmlsec.impl that return NamedKeyInfoGeneratorManager
Modifier and Type
Method
Description
`NamedKeyInfoGeneratorManager`
BasicEncryptionConfiguration.`getDataKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedData/KeyInfo.
`NamedKeyInfoGeneratorManager`
BasicSignatureSigningConfiguration.`getKeyInfoGeneratorManager()`
Get the manager for named KeyInfoGenerator instances.
`NamedKeyInfoGeneratorManager`
BasicEncryptionConfiguration.`getKeyTransportKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedKey/KeyInfo.
Methods in org.opensaml.xmlsec.impl with parameters of type NamedKeyInfoGeneratorManager
Modifier and Type
Method
Description
`protected KeyInfoGenerator`
AbstractSecurityParametersResolver.`lookupKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Resolve a `KeyInfoGenerator` instance based on a `NamedKeyInfoGeneratorManager`, `Credential` and optional KeyInfo generation profile name.
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setDataKeyInfoGeneratorManager(NamedKeyInfoGeneratorManager keyInfoManager)`
Set the manager for named KeyInfoGenerator instances encrypting data.
`BasicSignatureSigningConfiguration`
BasicSignatureSigningConfiguration.`setKeyInfoGeneratorManager(NamedKeyInfoGeneratorManager keyInfoManager)`
Set the manager for named KeyInfoGenerator instances.
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setKeyTransportKeyInfoGeneratorManager(NamedKeyInfoGeneratorManager keyInfoManager)`
Set the manager for named KeyInfoGenerator instances for encrypting keys.

## Uses of NamedKeyInfoGeneratorManager in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo with parameters of type NamedKeyInfoGeneratorManager
Modifier and Type
Method
Description
`static KeyInfoGenerator`
KeyInfoSupport.`getKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Obtains a `KeyInfoGenerator` for the specified `Credential`.